%ifos linux 
%define dev_emu 0
%else
%define dev_emu 1
%endif

Summary: A set of sh4a system configuration and setup files.
Name: setup-sh4a
Version: 1.0.0
Release: 3u
License: public domain
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: /%{_tmppath}/%{name}-%{version}-%{release}
#BuildArchitectures: noarch
#Conflicts: initscripts < 4.26, bash <= 2.0.4-21 

%description
The setup package contains a set of important system configuration and
setup files.

%if %{dev_emu}
%package cygwin
Summary: A set of sh4a system configuration and setup files.
Group: System Environment/Base

%description cygwin
The setup package contains a set of important system configuration and
setup files.
%endif

%prep
%setup -q

%build
#rm -rf dev
#mkdir -p dev

#mknod dev/console c 5 1
#mknod dev/ram0 b 1 0
#mknod dev/ram1 b 1 1
#mknod dev/ram2 b 1 1
#mknod dev/kmem c 1 2

#mknod dev/dsp c 14 3
#mknod dev/fb0 c 29 0
#mknod dev/fb1 c 29 0
#mknod dev/fb2 c 29 0
#mknod dev/fb3 c 29 0
#mknod dev/fb4 c 29 0
#mknod dev/fb5 c 29 0

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
cp -ar * %{buildroot}

%clean
rm -rf %{buildroot}

%if %{dev_emu}
%files cygwin
%else
%files
%endif
%defattr(-,root,root)
/

%changelog
* Thu May 15 2003 Hirofumi Yagi <yagi@lineo.co.jp>
- add subpackage for cygwin

* Fri May 08 2003 Akira Kobayashi <koba@lineo.co.jp>
- ...
